# VIDU Q2 Pro Fast Reference to Video - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-viduq2-pro-fast

# VIDU Q2 Pro Fast Reference to Video

POST

/

v3

/

async

/

viduq2-pro-fast

VIDU Q2 Pro Fast Reference to Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/viduq2-pro-fast \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"bgm": true,
"seed": 123,
"audio": true,
"prompt": "&#x3C;string>",
"duration": 123,
"subjects": [
{}
],
"watermark": true,
"resolution": "&#x3C;string>",
"aspect_ratio": "&#x3C;string>",
"movement_amplitude": "&#x3C;string>"
}
'
```

200

```
{
"task_id": "&#x3C;string>"
}
```

VIDU Q2 Pro Fast reference image/video to video API. Supports subject mode and non-subject mode with 720p and 1080p resolutions.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-bgm)

bgm

boolean

default:false

Whether to add background music.

[​](#param-seed)

seed

integer

Random seed for controlling generation randomness. Same seed produces similar results.

[​](#param-audio)

audio

boolean

default:false

Whether to generate audio.

[​](#param-prompt)

prompt

string

required

Text prompt. Use @1, @2 etc. to reference subjects.Length limit: 0 - 2000

[​](#param-duration)

duration

integer

default:5

required

Video duration in seconds, 1-10.Optional values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`

[​](#param-subjects)

subjects

array

required

Subject list, each containing name, images and voice_id.Array length: 1 - unlimited

[​](#param-watermark)

watermark

boolean

default:false

Whether to add watermark.

[​](#param-resolution)

resolution

string

default:"720p"

Output video resolution. Default is 720p.Optional values: `720p`, `1080p`

[​](#param-aspect-ratio)

aspect_ratio

string

Video aspect ratio, e.g. 16:9, 9:16, 1:1.

[​](#param-movement-amplitude)

movement_amplitude

string

Movement amplitude, controls motion intensity in video.Optional values: `auto`, `small`, `medium`, `high`

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on April 8, 2026
